package watch_graph //nolint:staticcheck

import (
	corev1 "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/kubernetes_api/agent/watch_graph/vendored/k8s.io/api/core/v1"
	"k8s.io/apimachinery/pkg/apis/meta/v1/unstructured"
)

func (vx *wgObject2vertex) collectPodV1(obj *unstructured.Unstructured) *Error {
	o, err := unstructuredToTyped[corev1.Pod](obj)
	if err != nil {
		return err
	}

	vx.collectPodSpecV1Arcs(&o.Spec, ReferenceArcType)

	return nil
}
